use protobuf_codegen;

fn main() {
	protobuf_codegen::Codegen::new()
		.protoc()
		// Use `protoc-bin-vendored` bundled protoc command, optional.
		.protoc_path(&protoc_bin_vendored::protoc_bin_path().unwrap())
		// All inputs and imports from the inputs must reside in `includes` directories.
		.includes(&["protobuf"])
		// Inputs must reside in some of include paths.
		.input("protobuf/index.proto")
		.input("protobuf/image.proto")
		.protoc_extra_arg("--experimental_allow_proto3_optional")
		// Specify output directory relative to Cargo output directory.
		.out_dir("src/protobuf/")
		.run_from_script();
}
